Subject: Re: [PATCH] tg3: Fix link failure in 5701

From: "Michael Chan" <[email-masked]>
Date: Thu, 09 Jun 2005 15:55:52 -0700

On Thu, 2005-06-09 at 16:28 -0700, Grant Grundler wrote:

> Michael, David,
> I confirmed this patch in fact fixes the problem on currently
> shipping rx7620 and rx8620 "Core LAN" cards. I expected it would
> but now have nice warm fuzzies that it really 100% does.

Thanks for testing, Grant.

> 
> One minor issue: I unloaded the unpatched tg3 v3.29 driver and
> then did not get a link when loaded the patched tg3 v3.30 driver.
> Unplugging and replugging the cable made this work.
> v3.30 continued to work fine after a reboot.
> 

This is odd. May be the link partner is in a bad state when previously
connected to unpatched tg3, and requires unplug to get out of that
state.